#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( abstract )
add_subdirectory( audio )
add_subdirectory( file )
add_subdirectory( mmx )
add_subdirectory( render )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_util (library) #######################

tde_add_library( mpeg_util STATIC_PIC
  SOURCES
    timeStamp.cpp
    timeStampArray.cpp
    dynBuffer.cpp syncClock.cpp
    syncClockMPEG.cpp timeWrapper.cpp
)


##### other data ################################

install(
  FILES
    timeStamp.h dynBuffer.h
    timeStampArray.h syncClock.h timeWrapper.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/util
)
